> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.gappify.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.gappify.com/_mcp/server.

# Retrieve Transactions by ID

GET https://api.gappify.com/v1/transactions/{source-system-id}

Retrieve Transactions by ID

Reference: https://developers.gappify.com/api-reference/inbound-to-gappify/5/get-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.gappify.com/v1` (Production, default)
- `https://api.uat.gappifyinc.com/v1` (UAT)

## Request

### Path parameters

- `source-system-id` (string, required)

## Response

### 200

- `source_system_id` (string, required) — ERP id which uniquely represents the specific transaction line record. This value will be used to match source data and perform upserts.
- `date` (date, required) — Transaction date. Should be in the format YYYY-MM-DD.
- `period` (date, required) — Accounting period where journal / invoice was posted. **Format:** `yyyy-mm-01` (e.g., `2026-03-01`).
- `type` (string, required) — Presents the type of gl transaction.
- `subsidiary_currency_id` (string, required) — Subsidiary currency id of the posted transaction line in the gl. Should match the name in the currency list of source_coas.
- `transaction_currency_id` (string, required) — Currency id in which the transaction was posted in the gl. Should match the g_source_system_id in the currency list of source_coas.
- `amount` (double, required) — Amount of the gl transaction as presented in the transaction currency.
- `transaction_amount` (double, required) — Amount of the gl transaction as presented in the transaction currency.
- `subsidiary_amount` (double, required) — Amount of the transaction as translated to the base currency of the subsidiary.
- `subsidiary_id` (string, optional) — Expense subsidiary id linked to the gl transaction. This value should match the g_source_system_id in source_coas.
- `vendor_id` (string, optional) — Id of the Vendor/Supplier. This value should match the source_vendors->g_source_system_id.
- `document_number` (string, optional) — Invoice/Bill Number, Journal Name, Other transaction reference number.
- `glaccount_number` (integer, optional) — Expense glacocunt number
- `glaccount_id` (string, optional) — Expense glaccount id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.
- `memo` (string, optional) — Journal Line Description, Invoice line description
- `exchange_rate` (double, optional) — Exchange rate applied on the transaction line.
- `department_id` (string, optional) — Expense department id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.
- `gappify_id` (integer, optional) — Gappify id stamped on the JE that was posted.
- `po_id` (string, optional) — PO number associated with the AP invoice (if any). Blank for GL Journal. Should match the g_po_id in the source_purchase_orders.
- `company_id` (integer, optional) — Expense company id linked to the gl transaction line. This value should match the g_source_system_id in source_coas.

## Errors

### 401 Unauthorized Error

- `message` (string, required) — The error message
- `success` (boolean, required)

### 422 Unprocessable Entity Error

- `message` (string, required) — The error message
- `errors` (string, required) — The error details

### 404 Not Found Error

- `list of string`

### 500 Internal Server Error

- `list of string`

## Examples

**Response**

```json
{
  "source_system_id": "source_system_id",
  "date": "2023-01-15",
  "period": "2023-01-15",
  "type": "type",
  "subsidiary_currency_id": "subsidiary_currency_id",
  "transaction_currency_id": "transaction_currency_id",
  "amount": 1.1,
  "transaction_amount": 1.1,
  "subsidiary_amount": 1.1,
  "subsidiary_id": "subsidiary_id",
  "vendor_id": "vendor_id",
  "document_number": "document_number",
  "glaccount_number": 1,
  "glaccount_id": "glaccount_id",
  "memo": "memo",
  "exchange_rate": 1.1,
  "department_id": "department_id",
  "gappify_id": 1,
  "po_id": "po_id",
  "company_id": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.gappify.com/v1/transactions/source-system-id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.gappify.com/v1/transactions/source-system-id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.gappify.com/v1/transactions/source-system-id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.gappify.com/v1/transactions/source-system-id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.gappify.com/v1/transactions/source-system-id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.gappify.com/v1/transactions/source-system-id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.gappify.com/v1/transactions/source-system-id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.gappify.com/v1/transactions/source-system-id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```